Overview
GET/monitoring/site-groupsmonitoring

List site_groups

List site-groups.

Auth: bearerAuth — calls run as the authenticated user.

Responses
200

List

  • idstring
  • userIdstring
  • ownerKindstring
  • ownerIdstring
  • namestring
  • slugstring
  • descriptionstring?
  • retentionDaysinteger
  • displayOrderinteger
  • createdAtstring
  • updatedAtstring
Example
[
  {
    "id": "string",
    "userId": "string",
    "ownerKind": "string",
    "ownerId": "string",
    "name": "string",
    "slug": "string",
    "description": "string",
    "retentionDays": 0,
    "displayOrder": 0,
    "createdAt": "string",
    "updatedAt": "string"
  }
]
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/monitoring/site-groups" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/monitoring/site-groups", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();